Package org.drinkless.tdlib

# Class TdApi.GetTonTransactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.TonTransactions>
org.drinkless.tdlib.TdApi.GetTonTransactions

Enclosing class:
  `TdApi`

public static class TdApi.GetTonTransactions extends TdApi.Function<TdApi.TonTransactions>
Returns the list of Toncoin transactions of the current user.

Returns `TonTransactions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.TransactionDirection`
  `direction`
  Direction of the transactions to receive; pass null to get all transactions.
  `int`
  `limit`
  The maximum number of transactions to return.
  `String`
  `offset`
  Offset of the first transaction to return as received from the previous request; use empty string to get the first chunk of results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTonTransactions()`
  Default constructor for a function, which returns the list of Toncoin transactions of the current user.
  `GetTonTransactions(TdApi.TransactionDirection direction, String offset, int limit)`
  Creates a function, which returns the list of Toncoin transactions of the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### direction

    public TdApi.TransactionDirection direction
    Direction of the transactions to receive; pass null to get all transactions.

  - ### offset

    public String offset
    Offset of the first transaction to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of transactions to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetTonTransactions

    public GetTonTransactions()
    Default constructor for a function, which returns the list of Toncoin transactions of the current user.

    Returns `TonTransactions`

  - ### GetTonTransactions

    public GetTonTransactions(TdApi.TransactionDirection direction, String offset, int limit)
    Creates a function, which returns the list of Toncoin transactions of the current user.

    Returns `TonTransactions`

    Parameters:
      `direction` - Direction of the transactions to receive; pass null to get all transactions.
      `offset` - Offset of the first transaction to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of transactions to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.TonTransactions>`
    Returns:
      this.CONSTRUCTOR